nxt

## Class CurrencyFounder

- java.lang.Object
- - nxt.CurrencyFounder

-     public class CurrencyFounder
      extends java.lang.Object

  Each CurrencyFounder instance represents a single founder contribution for a non issued currency Once the currency is issued all founder contributions are removed In case the currency is not issued because of insufficient funding, all funds are returned to the founders

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getAccountId()`
    `long` | `getAmountPerUnitNQT()`
    `static DbIterator<CurrencyFounder>` | `getCurrencyFounders(long currencyId, int from, int to)`
    `long` | `getCurrencyId()`
    `static CurrencyFounder` | `getFounder(long currencyId, long accountId)`
    `static DbIterator<CurrencyFounder>` | `getFounderCurrencies(long accountId, int from, int to)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getCurrencyId

          public long getCurrencyId()

    - #### getAccountId

          public long getAccountId()

    - #### getAmountPerUnitNQT

          public long getAmountPerUnitNQT()

    - #### getFounder

          public static CurrencyFounder getFounder(long currencyId,
                                                   long accountId)

    - #### getCurrencyFounders

          public static DbIterator<CurrencyFounder> getCurrencyFounders(long currencyId,
                                                                        int from,
                                                                        int to)

    - #### getFounderCurrencies

          public static DbIterator<CurrencyFounder> getFounderCurrencies(long accountId,
                                                                         int from,
                                                                         int to)